// Need option function
int PVSSBootstrapper_doFunction(mapping &options) {
  int err;
  
  if(strtoupper(options["function"]) == "STARTPROJECT") {
    err = PVSSBootstrapper_startProject(options);
    if(err < 0)
      return err;
  }else if(strtoupper(options["function"]) == "STOPPROJECT") {
    err =  PVSSBootstrapper_stopProject(options);
    if(err < 0)
      return err;
  }else if(strtoupper(options["function"]) == "STOPALLPROJECTS") {
    err =  PVSSBootstrapper_stopAllProjects();
    if(err < 0)
      return err;
  }else if(strtoupper(options["function"]) == "ISPROJECTRUNNING") {
    err =  PVSSBootstrapper_isProjectRunning(options);
    if(err < 0)
      return err;
  }else if(strtoupper(options["function"]) == "REGISTERPROJECT") {
    err =  PVSSBootstrapper_registerProject(options);
    if(err < 0)
      return err;
  }else if(strtoupper(options["function"]) == "UNREGISTERPROJECT") {
    err =  PVSSBootstrapper_unregisterProject(options);
    if(err < 0)
      return err;
  }else if(strtoupper(options["function"]) == "DELETEPROJECT") {
    err =  PVSSBootstrapper_deleteProject(options);
    if(err < 0)
      return err;
  }else if(strtoupper(options["function"]) == "ISPROJECTREGISTERED") {
    err =  PVSSBootstrapper_isProjectRegistered(options);
    if(err < 0)
      return err;
  }else if(strtoupper(options["function"]) == "CREATEPROJECT") {
    err =  PVSSBootstrapper_createProject(options);
    if(err < 0)
      return err;
  }else if(strtoupper(options["function"]) == "GETPROJECTPATH") {
    err =  PVSSBootstrapper_getProjectPath(options);
    if(err < 0)
      return err;
  }else if(strtoupper(options["function"]) == "LISTPROJECTS") {
    err =  PVSSBootstrapper_listProjects();
    if(err < 0)
      return err;
  }else if(strtoupper(options["function"]) == "DEPLOYZIP") {
    err =  PVSSBootstrapper_deployZip(options);
    if(err < 0)
      return err;
  }else if(strtoupper(options["function"]) == "SETCOMPINSTDIR") {
    err =  PVSSBootstrapper_startInsider(options);
    if(err < 0)
      return err;
  }else if(strtoupper(options["function"]) == "INSTALLCOMPONENT") {
    err =  PVSSBootstrapper_startInsider(options);
    if(err < 0)
      return err;
  }else if(strtoupper(options["function"]) == "PING") {
    // Ping function is for test purpose.
    PVSSBootstrapper_setReturnData("Pong!");
    return 0;
  }else{
    PVSSBootstrapper_log("ERROR", "PVSSBootstrapper_doFunction() -> Unknown function: " + options["function"]);
    return -1;
  }
  
  return 0;
}

int PVSSBootstrapper_doProjectCreation(mapping &options) {
  int err;
  
  err = PVSSBootstrapper_stopAnyProject();
  if(err < 0)
    return err;
    
  err = PVSSBootstrapper_createProject(options);
  if(err < 0)
    return err;
    
  err = PVSSBootstrapper_startProject(options);
  if(err < 0)
    return err;
    
  err = PVSSBootstrapper_waitProjectIsStarted(options);
  if(err < 0)
    return err;
  
  return 0;
}

int PVSSBootstrapper_doProjectStarter(mapping &options) {
  int err;
  
  err = PVSSBootstrapper_stopAnyProject();
  if(err < 0)
    return err;
    
  err = PVSSBootstrapper_registerProject(options);
  if(err < 0)
    return err;
    
  err = PVSSBootstrapper_startProject(options);
  if(err < 0)
    return err;
    
  err = PVSSBootstrapper_waitProjectIsStarted(options);
  if(err < 0)
    return err;
    
  return 0;
}
