#!/bin/bash

if [ -z $1 ]; then
  echo "Usage: $0 ABSOLUTE_PATH_TO_PVSS_PROJECT"
  exit
fi

# Because the Python/Bash scripts are not finished yet, for the moment the
# only way to execute post process scripts is to bake your own config file.

configFile="startProjectPostProcessScript.config"

cp "$configFile.model" "$configFile"

sed -i "s,#START_PROJECT_PATH#,$1," "$configFile"

configFile=`readlink -f $configFile`

cd ../../.. # Important to be in the directory of the bootstrapper.

# With the Python script (Windows/Linux)
./PVSSBootstrapper.py configFile "$configFile"

# With the old bash script for Linux:
#./PVSSBootstrapperLinux.sh -c "$configFile"
