#!/usr/bin/python

import sys, os
os.chdir("../../.."); # Go to the bootstrapper directory
sys.path.append(os.getcwd()) # Add the current path into the list of paths where Python can find libraries
import PVSSBootstrapper

if len(sys.argv) < 2:
  print "Usage: " + sys.argv[0] + " ABSOLUTE_PATH_TO_PVSS_PROJECT"
  sys.exit(1)

# Available optional parameters:
# pvss (string), debug (bool), fwInstallation_zip_path (string), component_install_dir (string)
# started_with_managers (string), no_console (bool), no_log_viewer (bool)
PVSSBootstrapper.startProject(sys.argv[1], debug=True, no_log_viewer=True)
