if __name__ == '__main__':
    from distutils.core import setup

    setup(name='PVSSBootstrapper',
          version='13.3.11',
          description='Tool for managing PVSS projects',
          author='CERN EN-ICE',
          author_email='IceControls.Support@cern.ch',
          url='http://j2eeps.cern.ch/wikis/display/EN/PVSS+Bootstrapper',
          download_url='https://svn.cern.ch/reps/en-ice-svn/trunk/tools/JCOP/Projects/Framework/Utilities/PVSSBootstrapper',
          platforms=['linux', 'windows'],
          license='CERN internal only',
          packages=['PVSSBootstrapper'],
          package_data={'PVSSBootstrapper': [
                          'config/config.PVSSBootstrapper.model',
                          'scripts/libs/PVSSBootstrapper/*.ctl',
                       ]},
          scripts=['PVSSBootstrapper/PVSSBootstrapper'],
          install_requires=['argparse'])
