#!/bin/sh

#####################################################################
#This script aims at monitoring                                     #
#the cpu and shared memory usage of the                             #
#processes given as parameters.                                     #
#The monitoring stops when the                                      #
#'termination file' exists                                          #
# Usage:                                                            #
# fwBenchmark_MonitorResources $report_file $stop_file $executable1 #
#####################################################################

REPORT_FILE=$1
STOP_FILE=$2
MANAGER_NAME=$3

# make sure the report file is clean and the stop file does not exist
rm -f $REPORT_FILE
rm -f $STOP_FILE

#  while stop file does not exist,
#  get the metric and put them to a file
while [ ! -f $STOP_FILE ]
do
top -p `pidof $MANAGER_NAME` -b -d 1 -n 1 | grep $MANAGER_NAME | awk -F " " '{print $9"\t"$5}' >> $REPORT_FILE
sleep 1
done
