#uses "PVSSBootstrapper/PVSSBootstrapper.ctl"
#uses "PVSSBootstrapper/PVSSBootstrapper_components.ctl"

main() {
  int err;
  mapping options;
  
  err = PVSSBootstrapper_getConfig(options);
  if(err < 0)
    return;
    
  bool needRestart=false;
  
  if(strtoupper(options["function"]) == "SETCOMPINSTDIR") {
    err = PVSSBootstrapper_setComponentInstallDir(options);
    if(err < 0)
      return;
  }else if(strtoupper(options["function"]) == "INSTALLCOMPONENT") {
    err =  PVSSBootstrapper_installComponents(options, needRestart);
    if(err < 0)
      return;
  }else{
    PVSSBootstrapper_log("ERROR", "PVSSBootstrapper_doFunction() -> Unknown function: " + options["function"]);
    return;
  }
  
  if(needRestart) {
    err = PVSSBootstrapper_restartProject();
    if(err < 0)
      return;
      
    // Wait for the project to actually restart. The script will be killed when restarting.
    while(1)
      delay(1);
  }
}
