// Need option pmonPort (could be detected and set)
// Could set option projectPath
int PVSSBootstrapper_pmonGetManStati(mapping &options, dyn_dyn_string &ddsResult) {
  int err;
  
  err = _PVSSBootstrapper_pmonGetPort(options);
  if(err < 0)
    return err;
  
  err = pmon_query("##MGRLIST:STATI", "localhost", options["pmonPort"], ddsResult, false, true);
  if(err) {
    PVSSBootstrapper_log("ERROR", "PVSSBootstrapper_pmonGetManStati() -> pmon_query(MGRLIST:STATI) returned an error: " + err);
    return -1;
  }
  
  return 0;
}

// Could need or set option pmonPort
// Could need or set option projectPath
int _PVSSBootstrapper_pmonGetPort(mapping &options) {
  int err;
  
  if(!mappingHasKey(options, "pmonPort") || (options["pmonPort"] == 0)) {
    if(!mappingHasKey(options, "projectPath") || (options["projectPath"] == "")) {
      err = _PVSSBootstrapper_resolveProjectPath(options);
      if(err < 0)
        return err;
    }
    
    string projConfigFile = options["projectPath"] + "/config/config";
    options["pmonPort"] = paCfgReadValueDflt(projConfigFile, "general", "pmonPort", 4999);
  }
  
  return 0;
}
