#!/usr/bin/python

import sys, os
os.chdir("../../.."); # Go to the bootstrapper directory
sys.path.append(os.getcwd()) # Add the current path into the list of paths where Python can find libraries
import PVSSBootstrapper

if len(sys.argv) < 3:
  print "Usage: " + sys.argv[0] + " ABSOLUTE_INSTALL_DIR PROJECT_NAME"
  sys.exit(1)

# Available optional parameters:
# pvss (string), debug (bool), fwInstallation_zip_path (string), component_install_dir (string)
# system_number (int), system_name (string), delete_if_exists (bool), pmon_port (int), data_port (int), event_port (int), dist_port (int), no_console (bool), no_log_viewer (bool)
PVSSBootstrapper.createProject(sys.argv[1], sys.argv[2], delete_if_exists=True, no_log_viewer=True)
