import os
from execCommands import execCommands

testArgs = []
if ('TEST_MODULE' in os.environ) and os.environ['TEST_MODULE']:
    testArgs.append('-m')
    testArgs.append('tests.' + os.environ['TEST_MODULE'])
if ('TEST_SCRIPT' in os.environ) and os.environ['TEST_SCRIPT']:
    testArgs.append('-t')
    testArgs.append(os.environ['TEST_SCRIPT'])

commands = """
python bootstrap.py
bin/buildout
bin/test --xml %(testArgs)s
""" % {'testArgs': ' '.join(testArgs)}

execCommands(*commands.split('\n'))

