@echo off

rem The aim of this script is to setup the execution environment
rem in such a way we can start a project-independant PVSS CTRL script.
rem Based on the startPA script from the PVSS bundle.

rem Script variables (paths linux style: with /):
set ctrlConfig=config/config.PVSSBootstrapper.win
set ctrlScript=libs/PVSSBootstrapper/PVSSBootstrapper.ctl

rem PVSS variables:
set CTRL=PVSS00ctrl

set currentPath=%CD:\=/%
set ctrlConfigWin=%ctrlConfig:/=\%

rem Create the pv2Path variable from registry
for /f "tokens=3" %%A in ('reg query "HKEY_LOCAL_MACHINE\SOFTWARE\ETM\PVSS II\3.8" /v InstallationDir') do (set pv2Path=%%A)
set pv2Sed=%pv2Path%\bin\sed.exe
set CTRL=%pv2Path%\bin\%CTRL%

rem Make a custom config file with proper paths
%pv2Sed% "s,#PVSS_PATH#,%pv2Path:\=/%," %ctrlConfigWin%.model > %ctrlConfigWin%.temp
%pv2Sed% "s,#PROJ_PATH#,%currentPath%," %ctrlConfigWin%.temp > %ctrlConfigWin%
del %ctrlConfigWin%.temp

%CTRL% -config %pv2Path:\=/%/config/config +config %currentPath%/%ctrlConfig% -n %ctrlScript% -log +stderr

